Subject: [Pce] 答复: New Version Notification for draft-zhang-pce-resource-sharing-03.txt

From: Zhenghaomian <[email-masked]>
Date: Tue, 17 Mar 2015 03:44:26 +0000

Hi, Sergio,

Thanks for your comments, please see inline:)

Best wishes,

Haomian

-----邮件原件-----
发件人: BELOTTI, SERGIO (SERGIO) [mailto:[email-masked]]
发送时间: 2015年3月16日 23:48
收件人: Zhenghaomian
抄送: [email-masked]; BELOTTI, SERGIO (SERGIO)
主题: RE: New Version Notification for draft-zhang-pce-resource-sharing-03.txt

Hello Haomian,

I would have some comments/clarification on the updated part of this draft.

Section 2.2

I have some problem with your last part of the session:

" During this procedure higher-layer PCE can only use LSP1 information

   (such as its five-tuple LSP information) as the information, an

   issue to solve is how lower-layer PCE can resolve this information

   to the actual resource usage in its own layer, i.e. lower layer.

   This could be solved by edge LSR L1 reporting this higher-lower

   layer LSP correlation to the lower-layer PCE as part of the LSP

   information during the LSP state synchronization process. If needed,

   it can be later updated when there is a change in this information.

   Alternatively, the lower-layer PCE can get this information from

   other sources, such as network management system, where this

   information should be stored."

Questions:

a) what LSP1 information are you referring ? which tuple? H1-H2-H3-H4-H5 ?

[Haomian] LSP1 refers to H2-H3 (as specified in the draft, two paragraph before this), which actually come across H2-L1-L2-H3. 5-tuple here is used as an example to uniquely identify the LSP with whom the new LSP share resource.

b) What issue has to solve the Lo PCE ?I sit not the Hi PCE indicating entry and exit point at lower layer as for RFC 5623 session 3.2?

[Haomian] As indicated in Section 3.2 of RFC5623, 'each PCE has topology visibility restricted to its own layer'. In this case, for the same LSP (LSP1 in this example), in the higher layer PCE it is considered as H2-H3. In this example, for the PCReq message from higher-layer PCE to lower-layer PCE is 'LSP2 should share as much as possible with LSP1'. However, when higher-layer PCE consult to lower-layer PCE on resource sharing when computing LSP2, the lower layer PCE need to detect the 'hidden' resource usage on the lower layer, i.e., given 'LSP1' from higher layer PCE, the lower-layer PCE need to map the LSP1 to 'H2-L1-L2-H3', and therefore detect the resource that can be shared with LSP2 in the lower layer is 'L1-L2'.

I see your point on Hi PCE have entry/exit point, in a inter-layer case, H2 can sometimes have 'full knowledge' of L1, but it not necessarily means H2 (or higher layer PCE) can know which lower-layer resource can be used to share. For example, the higher layer PCE knows the lower-layer path of LSP1 is 'L1-L2', but there are multiple possibilities in the lower-layer, it can be either 'L1-L2' or 'L1-L3-L4-L2'. Both of the possible lower-layer paths is 'abstracted' as 'L1-L2' for higher-layer PCE. In this case, the issue for lower-layer PCE is to find out which explicit link(s) is the target for resource sharing.

c) Could you elaborate a little this mapping problem you mention?

[Haomian] The mapping problem is caused by the restricted visibility for each PCE. I think the example in my previous comments is clear, let me know if any problem.

" The process would be similar to that

   of the previous scenario. A point worth noting is that the border

   LSR node may be able to resolve the higher layer LSP information

   itself, such as mapping it to the corresponding LSP in the lower

   layer, in this way lower-layer PCE does not need to perform this function. Otherwise, the mapping method mentioned above can still be

   used. "

Question:

a)What mapping method are you referring to ? Not clear whether and how you indicate to solve the problem.

[Haomian] As specified in previous comments, the objective of 'mapping' is to find out 'L1-L2' from 'LSP1 in RSO' . As described in RFC5623, if inter-PCE communication allowed, the PCReq message is sent from higher-layer PCE directly to lower-layer PCE during consultation. If inter-PCE communication not allowed, the PCReq message should sent from higher-layer PCE to H2 first, and then travel across L1 and lower-layer PCE. In this way, the 'mapping' issue is addressed by L1 instead of lower-layer PCE, as it has the lower-layer knowledge for LSP1. In some other cases, if L1 don't have enough knowledge to find out which explicit link(s) can be used to share, it will also leave the problem to lower-layer PCE, which will have a same solution as described in the previous section.

Thanks a lot

BR

Sergio

-----Original Message-----

From: Pce [mailto:[email-masked]] On Behalf Of Zhenghaomian

Sent: venerdì 27 febbraio 2015 07:53

To: [email-masked]<mailto:[email-masked]>

Subject: [Pce] 转发: New Version Notification for draft-zhang-pce-resource-sharing-03.txt

Dear PCEers,

We update the draft on PCE for resource sharing according to some offline comments, following changes are included in the updated version;

- Use Case 2 is modified to describe the inter-layer resource sharing scenario;

- Specify resource sharing as a possible policy during path computation;

- Correct the semantic meaning of D and R bits in Section 5.2;

- Editorial changes;

Your review comments are most welcome. Thanks.

Best wishes,

Haomian

-----邮件原件-----

发件人: [email-masked]<mailto:[email-masked]> [mailto:[email-masked]]

发送时间: 2015年2月27日 14:39

收件人: Oscar Gonzalez de Dios; Zhenghaomian; Victor Lopez; Zhangxian (Xian); Zhangxian (Xian); Oscar Gonzalez de Dios; Victor Lopez; Zhenghaomian

主题: New Version Notification for draft-zhang-pce-resource-sharing-03.txt

A new version of I-D, draft-zhang-pce-resource-sharing-03.txt

has been successfully submitted by Haomian Zheng and posted to the IETF repository.

Name:               draft-zhang-pce-resource-sharing

Revision:  03

Title:                  Extensions to Path Computation Element Protocol (PCEP) to Support Resource Sharing-based Path Computation

Document date:       2015-02-27

Group:               Individual Submission

Pages:               14

URL:            http://www.ietf.org/internet-drafts/draft-zhang-pce-resource-sharing-03.txt

Status:         https://datatracker.ietf.org/doc/draft-zhang-pce-resource-sharing/

Htmlized:       http://tools.ietf.org/html/draft-zhang-pce-resource-sharing-03

Diff:           http://www.ietf.org/rfcdiff?url2=draft-zhang-pce-resource-sharing-03

Abstract:

   Resource sharing in a network means two or more Label Switched Paths

   (LSPs) use common piece(s) of resource along their paths. This can

   help save network resource and useful in scenarios such as LSP

   recovery or when two LSPs do not need to be active at the same time.

   A Path Computation Element (PCE) is a centralized entity,

   responsible for path computation. Given this feature and its access

   to the network resource information and possibly active LSPs

   information, it can be used to support resource-sharing-based path

   computation with better efficiency.

   This document extends the Path Computation Element Protocol (PCEP)

   in order to support resource sharing-based path computation.

Please note that it may take a couple of minutes from the time of submission until the htmlized version and diff are available at tools.ietf.org.

The IETF Secretariat

_______________________________________________

Pce mailing list

[email-masked]<mailto:[email-masked]>

https://www.ietf.org/mailman/listinfo/pce

---

From: "BELOTTI, SERGIO (SERGIO)" <[email-masked]>
Date: Wed, 18 Mar 2015 16:13:17 +0000

Thanks Haomian,

I see your points now.

BR

Thanks

sergio

From: Zhenghaomian [mailto:[email-masked]]
Sent: martedì 17 marzo 2015 04:44
To: BELOTTI, SERGIO (SERGIO)
Cc: [email-masked]
Subject: 答复: New Version Notification for draft-zhang-pce-resource-sharing-03.txt

Hi, Sergio,

Best wishes,

Haomian

-----邮件原件-----
发件人: BELOTTI, SERGIO (SERGIO) [mailto:[email-masked]]
发送时间: 2015年3月16日 23:48
收件人: Zhenghaomian
抄送: [email-masked]<mailto:[email-masked]>; BELOTTI, SERGIO (SERGIO)
主题: RE: New Version Notification for draft-zhang-pce-resource-sharing-03.txt

Hello Haomian,

Section 2.2

Questions:

   used. "

Question:

Thanks a lot

BR

Sergio

-----Original Message-----

Dear PCEers,

- Editorial changes;

Best wishes,

Haomian

-----邮件原件-----

发送时间: 2015年2月27日 14:39

Revision:  03

Pages:               14

Abstract:

The IETF Secretariat

Pce mailing list